
Redmine - Feature #6397

Add Parent Task field as a sort criterium when defining a query

2010-09-15 01:34 - Stuart Cianos

Status: Closed Start date: 2010-09-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

The parent task field cannot be selected as a sort field in the query definition screens. Affects version 1.0.0 and above.

Sorting works normally if clicking in the headers.

Database: MySQL 5.0

Ruby: 1.8.6

Rails: 2.3.5

Related issues:

Related to Redmine - Patch #6431: Allow parent task field to be used in filters Closed 2010-09-18

Has duplicate Redmine - Feature #9592: Filtering by parent task Closed 2011-11-17

History

#1 - 2010-09-16 03:42 - Mischa The Evil

- Tracker changed from Defect to Feature

- Subject changed from Parent Task field cannot be used as a sort criteria when defining a query to Add Parent Task field as a sort criterium when

defining a query

This is currently not yet supported by Redmine indeed. It is a request for a new feature instead of a defect. Modified the issue-properties as such.

#2 - 2010-09-18 03:22 - Stuart Cianos

- Status changed from New to Resolved

Patch #6431 implements this functionality

#3 - 2010-09-18 03:49 - Eric Davis

- Status changed from Resolved to New

Please don't mark issues as Resolved, we use that status to track when code is committed.

#4 - 2018-02-15 23:00 - @ go2null

The ability to define a sort by Parent was added some time ago.  (Exists on v2.6.0)

#5 - 2018-02-16 02:09 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Fixed

@ go2null wrote:

The ability to define a sort by Parent was added some time ago.  (Exists on v2.6.0)

 Thanks for your comment. I'll close the issue accordingly.

For referencing purposes:

1. I am not sure where exactly this got added. At first sight there are three 'suspects':
https://www.redmine.org/issues/6431


r3618 for #5196; though, that was included in 1.0.0 (RC);

r10765 for #3511; added in 2.2.0;

r10964, et al; added in 2.3.0.

2. The correct name of the column (in English language on current trunk) is Parent task.
https://www.redmine.org/projects/redmine/repository/svn/revisions/10964
https://www.redmine.org/versions/60
http://www.tcpdf.org

